From 9f7f14321c30493744d2c7da96351c183e58d4ab Mon Sep 17 00:00:00 2001
From: Martell Malone <martellmalone@gmail.com>
Date: Thu, 11 Dec 2014 20:42:25 +0000
Subject: [PATCH] pollfd is defined from Vista onwards

---
 configure.ac | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/configure.ac b/configure.ac
index 14b21cc..1e20914 100644
--- a/configure.ac
+++ b/configure.ac
@@ -658,6 +658,19 @@ AC_LINK_IFELSE(
                      #endif], [
         freeaddrinfo(0);
     ])],[AC_DEFINE([HAVE_FREEADDRINFO],[1],[Define to 1 if you have freeaddrinfo function])],[AC_LIBOBJ([freeaddrinfo])])
+AC_LINK_IFELSE(
+    [AC_LANG_PROGRAM([#ifdef _WIN32
+        # if _WIN32_WINNT < 0x600
+        #  error Needs vista+
+        # endif
+        #include <ws2tcpip.h>
+        #else
+        #include <sys/socket.h>
+        #include <arpa/inet.h>
+        #endif], [
+        struct pollfd pfd;
+        pfd.fd = 1;
+    ])],[AC_DEFINE([HAVE_STRUCT_POLLFD],[1],[Define to 1 if you have pollfd struct])])
 VLC_RESTORE_FLAGS
 
 AS_IF([test -n "$SOCKET_LIBS"], [
-- 
2.2.0

